#ifndef CHANGELOG_H_INCLUDED
#define CHANGELOG_H_INCLUDED

/**
20110927:
- changed #ifdef WIN32 to #ifdef __MINGW32__
- handled Ctrl+C (works the same way as 'Q')
- sipp.cpp: changed 'Q' (or 'q' + 'q') action: quit immediately after aborting tasks
- global timeout working (using winhack.[h|c]); SIGALRM action is setting quitting = 1, so it looks like this option
is more useful for UAS than UAC scenarios (UAC scenario waiting for reply would not be aborted, this
is equivalent of single 'q')

20111005:
- fixed problem with truncated BYE message aborting tasks, changes to message.cpp:
- modified SimpleKeywords matching to match messages with offset ("last_cseq_number+1"); note: this change requires +n/-n offset
  to be placed immediately after keyword
- removed last = true; assignment (unknown purpose) that causes ignoring rest of the message after "last_cseq_number+1"

20130724:
- fixed socket handle leak (close() not replaced by closesocket() when moved to win32) causing problems when running scenario for a long time. Thanks to Trefor Edwards for reporting and testing.

20140812
- updated SIPp to current git version (version 3.4.1+); newer version adds some functionality and code
  is noticeably cleaner, but it is not time-tested yet - try previous version in case of problems
- fixed potential file handle leak in rtpstream_cache_file() function
- using Code::Blocks 13.12
*/

#endif // CHANGELOG_H_INCLUDED
